Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.msmqadapter.webservice
Class MSMQWSException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.connector.msmqadapter.webservice.MSMQWSException

All Implemented Interfaces:
  com.stc.connector.persistence.bpel.PersistableData, java.io.Serializable

    public class MSMQWSException

extends java.lang.Exception
implements com.stc.connector.persistence.bpel.PersistableData

This class is the MSMQWSException.

See Also:
  Serialized Form

Constructor Summary
`MSMQWSException()` Creates a new instance of MSMQWSException
`MSMQWSException(java.lang.String message)` Creates a new instanceof MSMQWSException

Method Summary
`java.lang.String` | `getErrMsg()` Gets the errMsg.
`boolean` | `hasErrMsg()` Checks whether the errMsg properety has been set.
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dout)` Persists this message.
`void` | `restore(com.stc.connector.persistence.bpel.DataInput din)` Restores this message.
`void` | `setErrMsg(java.lang.String newerrMsg)` Sets the errMsg.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MSMQWSException

    public MSMQWSException()

  Creates a new instance of MSMQWSException

### MSMQWSException

    public MSMQWSException(java.lang.String message)

  Creates a new instanceof MSMQWSException

Method Detail

### getErrMsg

    public java.lang.String getErrMsg()

  Gets the errMsg.

  Returns:
    The errMsg.

### setErrMsg

    public void setErrMsg(java.lang.String newerrMsg)

  Sets the errMsg.

  Parameters:
    `newerrMsg` - The new errMsg.

### hasErrMsg

    public boolean hasErrMsg()

  Checks whether the errMsg properety has been set.

  Returns:
    true if it was set or false if not.

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dout)
                 throws java.lang.Exception

  Persists this message.

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dout` - The DataOutput to which the Java Bean message is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput din)
                 throws java.lang.Exception

  Restores this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dis` - The DataInput from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD